Upstream information

CVE-2008-1420 at MITRE

Description

Integer overflow in residue partition value (aka partvals) evaluation in Xiph.org libvorbis 1.2.0 and earlier allows remote attackers to execute arbitrary code via a crafted OGG file, which triggers a heap overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 372246 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • libvorbis0 >= 1.3.3-10.14.1
  • libvorbis0-32bit >= 1.3.3-10.14.1
  • libvorbisenc2 >= 1.3.3-10.14.1
  • libvorbisenc2-32bit >= 1.3.3-10.14.1
  • libvorbisfile3 >= 1.3.3-10.14.1
  • libvorbisfile3-32bit >= 1.3.3-10.14.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libvorbis-doc >= 1.3.3-10.14.1
  • libvorbis0 >= 1.3.3-10.14.1
  • libvorbis0-32bit >= 1.3.3-10.14.1
  • libvorbisenc2 >= 1.3.3-10.14.1
  • libvorbisenc2-32bit >= 1.3.3-10.14.1
  • libvorbisfile3 >= 1.3.3-10.14.1
  • libvorbisfile3-32bit >= 1.3.3-10.14.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libvorbis-devel >= 1.3.6-4.3.1
  • libvorbis0 >= 1.3.6-4.3.1
  • libvorbisenc2 >= 1.3.6-4.3.1
  • libvorbisfile3 >= 1.3.6-4.3.1
SUSE Linux Enterprise Module for Basesystem 15
  • libvorbis-devel >= 1.3.6-2.16
  • libvorbis0 >= 1.3.6-2.16
  • libvorbisenc2 >= 1.3.6-2.16
  • libvorbisfile3 >= 1.3.6-2.16
SUSE Linux Enterprise Server 11 SP1
  • libvorbis >= 1.2.0-79.12
  • libvorbis-32bit >= 1.2.0-79.12
  • libvorbis-doc >= 1.2.0-79.12
  • libvorbis-x86 >= 1.2.0-79.12
SUSE Linux Enterprise Server 11 SP2
  • libvorbis >= 1.2.0-79.13.1
  • libvorbis-32bit >= 1.2.0-79.13.1
  • libvorbis-doc >= 1.2.0-79.13.1
  • libvorbis-x86 >= 1.2.0-79.13.1
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP4
  • libvorbis >= 1.2.0-79.20.1
  • libvorbis-32bit >= 1.2.0-79.20.1
  • libvorbis-doc >= 1.2.0-79.20.1
  • libvorbis-x86 >= 1.2.0-79.20.1
SUSE Linux Enterprise Server 12 SP1
  • libvorbis-doc >= 1.3.3-8.23
  • libvorbis0 >= 1.3.3-8.23
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.23
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.23
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbis0-32bit >= 1.3.3-8.23
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisenc2-32bit >= 1.3.3-8.23
  • libvorbisfile3 >= 1.3.3-8.6
  • libvorbisfile3-32bit >= 1.3.3-8.23
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libvorbis-doc >= 1.3.3-8.6
  • libvorbis0 >= 1.3.3-8.6
  • libvorbisenc2 >= 1.3.3-8.6
  • libvorbisfile3 >= 1.3.3-8.6
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvorbis-devel >= 1.2.0-79.20.1
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvorbis-devel >= 1.3.3-8.6
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libvorbis-devel >= 1.3.3-10.14.1
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libvorbis-devel >= 1.3.3-8.23
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • libvorbis >= 1.0.1-56.8
  • libvorbis-devel >= 1.0.1-56.8
Builds
ZYPP Patch Nr: 5259
Novell Linux Desktop 9 for x86_64
  • libvorbis >= 1.0.1-56.8
  • libvorbis-32bit >= 9-200805201623
  • libvorbis-devel >= 1.0.1-56.8
Builds
ZYPP Patch Nr: 5259
SUSE LINUX 10.1
  • libvorbis >= 1.1.2-13.12
  • libvorbis-32bit >= 1.1.2-13.12
  • libvorbis-64bit >= 1.1.2-13.12
  • libvorbis-devel >= 1.1.2-13.12
openSUSE Leap 15.0
  • libvorbis0 >= 1.3.6-lp150.2.4
  • libvorbisenc2 >= 1.3.6-lp150.2.4
  • libvorbisfile3 >= 1.3.6-lp150.2.4
Patchnames:
openSUSE Leap 15.0 GA libvorbis0
openSUSE Leap 42.1
  • libvorbis-devel >= 1.3.3-3.7
  • libvorbis0 >= 1.3.3-3.7
  • libvorbis0-32bit >= 1.3.3-3.7
  • libvorbisenc2 >= 1.3.3-3.7
  • libvorbisenc2-32bit >= 1.3.3-3.7
  • libvorbisfile3 >= 1.3.3-3.7
  • libvorbisfile3-32bit >= 1.3.3-3.7
Patchnames:
openSUSE Leap 42.1 GA libvorbis-devel
openSUSE Leap 42.2
  • libvorbis-devel >= 1.3.3-4.18
  • libvorbis0 >= 1.3.3-4.18
  • libvorbis0-32bit >= 1.3.3-4.18
  • libvorbisenc2 >= 1.3.3-4.18
  • libvorbisenc2-32bit >= 1.3.3-4.18
  • libvorbisfile3 >= 1.3.3-4.18
  • libvorbisfile3-32bit >= 1.3.3-4.18
Patchnames:
openSUSE Leap 42.2 GA libvorbis-devel
openSUSE Leap 42.3
  • libvorbis-devel >= 1.3.3-6.4
  • libvorbis0 >= 1.3.3-6.4
  • libvorbis0-32bit >= 1.3.3-6.4
  • libvorbisenc2 >= 1.3.3-6.4
  • libvorbisenc2-32bit >= 1.3.3-6.4
  • libvorbisfile3 >= 1.3.3-6.4
  • libvorbisfile3-32bit >= 1.3.3-6.4
Patchnames:
openSUSE Leap 42.3 GA libvorbis-devel
openSUSE Tumbleweed
  • libvorbis-devel >= 1.3.5-2.1
  • libvorbis-devel-32bit >= 1.3.5-2.1
  • libvorbis-doc >= 1.3.5-2.1
  • libvorbis0 >= 1.3.5-2.1
  • libvorbis0-32bit >= 1.3.5-2.1
  • libvorbisenc2 >= 1.3.5-2.1
  • libvorbisenc2-32bit >= 1.3.5-2.1
  • libvorbisfile3 >= 1.3.5-2.1
  • libvorbisfile3-32bit >= 1.3.5-2.1
Patchnames:
openSUSE Tumbleweed GA libvorbis-devel